normScaleLimma {maigesPack} | R Documentation

## Scale adjust a cDNA Microarray Object

### Description

This function loads a `maigesRaw` or `maiges` object and scale adjust (normalise between arrays) the data using functions from limma package.

### Usage

    normScaleLimma(obj=NULL, ...)

### Arguments

`obj` | object of type `maigesRaw` or `maiges` to be normalised.
`...` | additional parameters for function `normalizeBetweenArrays`.

### Details

This function for scale adjustment is entirely based on function `normalizeBetweenArrays` from limma package. See the help page for this function to see how to set the parameters. Pay attention to the 'vsn' method of scale adjustment, that must be used alone.

### Value

This function returns a `maiges` object.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`normalizeBetweenArrays` from limma package.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing the scale adjustment from median-absolute-value method (from
    ## limma)
    gastro.norm = normScaleLimma(gastro.norm, method="scale")
    boxplot(gastro.norm) ## To see the efect of adjustment

    ## To do VSN scale adjustment (from vsn package) use the command. Be
    ## carefull that this method adjust the variance along A values and not
    ## between chips!!
    gastro.norm = normScaleLimma(gastro.raw2, method="vsn")
    boxplot(gastro.norm) ## See the effect

[Package maigesPack version 1.4.0 Index]